=== debian/changelog ===
apiextractor (0.10.1-1) unstable; urgency=low

  * New upstream release.

 -- Didier Raboud <odyx@debian.org>  Fri, 01 Apr 2011 09:52:51 +0200

apiextractor (0.10.0-4) unstable; urgency=low

  * Disable symbols tracking: so far there is only one reverse
    dependency (generatorrunner), developed by the same upstream, for
    the same project (PySide). Furthermore, upstream bumps SOVERSIONs
    really often.

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Mar 2011 21:54:04 +0100

apiextractor (0.10.0-3) unstable; urgency=low

  * Upload to unstable.
  * Update symbols for new Qt and new gcc options.

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Mar 2011 14:01:29 +0100

apiextractor (0.10.0-2) experimental; urgency=low

  * Bump libapiextractor SOVERSION to 0.10; really needed.
    - Remove force_0.9_soversion.patch.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Feb 2011 14:17:08 +0100

apiextractor (0.10.0-1) experimental; urgency=low

  * New 0.10.0 upstream release (~rc1)
  
  * debian/rules:
    - define the SOVERSION as variable.
    - only test for Ubuntu release when building on Ubuntu.
  * Symbols:
    - Update for 0.9.4 for armel and sparc.
    - Add some for 0.10.0.
  * Patches: 
    + Add force_0.9_soversion.patch to keep the 0.9 soversion.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Feb 2011 13:34:33 +0100

apiextractor (0.9.4-1) experimental; urgency=low

  * New 0.9.4 upstream release (~beta5)
    - Bump libapiextractor SONAME to 0.9.

  * Rewrite completely the symbols handling:
    - Split them to track them across various distributions and gcc versions.
  * Bump Qt B-D to >= 4.7.
  * Use my @d.o address and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Mon, 14 Feb 2011 15:18:44 +0100

apiextractor (0.8.1-3) unstable; urgency=low

  * Update symbols (again) for all arches and for GCC-4.5.

 -- Didier Raboud <didier@raboud.com>  Mon, 15 Nov 2010 14:24:12 +0100

apiextractor (0.8.1-2) unstable; urgency=low

  * Updating symbols, should solve the FTBFSes (Closes: #601302).

 -- Didier Raboud <didier@raboud.com>  Wed, 27 Oct 2010 09:00:00 +0200
