=== debian/changelog ===
apiextractor (0.10.5-2) unstable; urgency=low

  * Convert library to multiarch.
    - Bump B-D:
      - on debhelper to 8.9.3.
      - on cmake to 2.8.4+dfsg.1-3~.
    - Bump debhelper compatibility level to 9.
    - Override lintian warning about debhelper being too young.
    - Update *.install files to cope with new library paths.
    - Initialize D_H_MULTIARCH from dpkg-architectures, use it in the
      LIB_SUFFIX cmake variable.
    - Add a Pre-Depends on multiarch-support to the libapiextractor package.
    - Add Multi-Arch: same to the libapiextractor package.
  * Drop superfluous dh_compress call, obsoleted by dh 8.1.0.
  * Run tests only in arch-any.

 -- Didier Raboud <odyx@debian.org>  Fri, 05 Aug 2011 19:01:45 +0200

apiextractor (0.10.5-1) unstable; urgency=low

  * New upstream release (1.0.5).

 -- Didier Raboud <odyx@debian.org>  Fri, 22 Jul 2011 21:36:23 +0200

apiextractor (0.10.4-1) unstable; urgency=low

  *  New upstream release (1.0.4).

 -- Didier Raboud <odyx@debian.org>  Thu, 23 Jun 2011 11:51:20 +0200

apiextractor (0.10.3-1) unstable; urgency=low

  * New upstream release (1.0.3).

 -- Didier Raboud <odyx@debian.org>  Thu, 26 May 2011 16:39:46 +0200

apiextractor (0.10.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Fri, 29 Apr 2011 20:45:00 +0200
