=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: optional
 Section: libs
 Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.0.50), cmake (>= 2.6.0),
+Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.3), cmake (>= 2.8.4+dfsg.1-3~),
                libqt4-dev (>= 4:4.7.0), libqt4-xmlpatterns (>= 4:4.7.0),
                libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19), pkg-config
 Build-Depends-Indep: python-sphinx
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.2.0
 Vcs-Git: git://git.debian.org/collab-maint/apiextractor.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apiextractor.git
 Homepage: http://www.pyside.org/home-binding/api-extractor/
@@ -42,6 +42,8 @@
 Package: libapiextractor0.10
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: library headers parser that creates an API abstract representation
  The API Extractor library is used by the binding generator to parse headers of
  a given library and merge this data with information provided by typesystem
