=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_strip:
	dh_strip -a --dbg-package=libapiextractor-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install -a --list-missing

override_dh_auto_test:
	dh_auto_test -a

override_dh_auto_build:
	dh_auto_build -a
	dh_auto_build -i -- doc
