=== debian/changelog ===
apiextractor (0.10.6-1ubuntu1) oneiric; urgency=low

  * debian/control: Ubuntu 11.10 only has debhelper 8.9.0.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 06 Sep 2011 14:16:02 -0400

apiextractor (0.10.6-1) experimental; urgency=low

  * New upstream release (1.0.6).
    - Fixes the documentation generation.

  * Use dh_sphinxdoc to handle the generated documentation.
    - Replace libjs-jquery by ${sphinxdoc:Depends} in Depends.
    - Drop apiextractor-doc.links including explicit symlink to libjs-jquery.
    - Conditionally use dh_sphinxdoc when needed.
  * Cleanup debian/rules for proper build-indep handling.
    - Move the --list-mising to the dh call.
    - Don't call dh_auto_install in -indep, as it's not needed.

 -- Didier Raboud <odyx@debian.org>  Wed, 10 Aug 2011 14:06:16 +0200
