=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: apiextractor
 Priority: optional
 Section: libs
-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.3), cmake (>= 2.8.4+dfsg.1-3~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.0), cmake (>= 2.8.4+dfsg.1-3~),
                libqt4-dev (>= 4:4.7.0), libqt4-xmlpatterns (>= 4:4.7.0),
                libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19), pkg-config
 Build-Depends-Indep: python-sphinx
@@ -56,7 +57,7 @@
 Package: apiextractor-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: documentation for the library headers parser
  The API Extractor library is used by the binding generator to parse headers of
  a given library and merge this data with information provided by typesystem
