=== debian/changelog ===
apiextractor (0.10.7-1) unstable; urgency=low

  * New upstream release (1.0.7).

  * Version Build-Depends on python-sphinx.
  * Amend previous changelog entry: it was correctly uploaded to
    unstable.

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Sep 2011 10:15:15 +0200

apiextractor (0.10.6-1) unstable; urgency=low

  * New upstream release (1.0.6).
    - Fixes the documentation generation.

  * Use dh_sphinxdoc to handle the generated documentation.
    - Replace libjs-jquery by ${sphinxdoc:Depends} in Depends.
    - Drop apiextractor-doc.links including explicit symlink to libjs-jquery.
    - Conditionally use dh_sphinxdoc when needed.
  * Cleanup debian/rules for proper build-indep handling.
    - Move the --list-mising to the dh call.
    - Don't call dh_auto_install in -indep, as it's not needed.

 -- Didier Raboud <odyx@debian.org>  Wed, 10 Aug 2011 14:06:16 +0200
