=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -31,15 +31,18 @@
 declare_test(testmultipleinheritance)
 declare_test(testnamespace)
 declare_test(testnestedtypes)
+declare_test(testnumericaltypedef)
 declare_test(testprimitivetypetag)
 declare_test(testrefcounttag)
 declare_test(testreferencetopointer)
 declare_test(testremovefield)
 declare_test(testremoveimplconv)
+declare_test(testremoveoperatormethod)
 declare_test(testresolvetype)
 declare_test(testreverseoperators)
 declare_test(testtemplates)
 declare_test(testtoposort)
+declare_test(testvaluetypedefaultctortag)
 declare_test(testvoidarg)
 declare_test(testtyperevision)
 if (NOT DISABLE_DOCSTRINGS)
