=== debian/changelog ===
apiextractor (0.10.8-1) unstable; urgency=low

  * New upstream release (1.0.8).

 -- Didier Raboud <odyx@debian.org>  Thu, 20 Oct 2011 22:39:43 +0200
