## apiextractor 0.10.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,9 @@
     set(CMAKE_CXX_FLAGS "/Zc:wchar_t- /GR /EHsc /DWIN32 /D_WINDOWS /D_SCL_SECURE_NO_WARNINGS")
 elseif(CMAKE_HOST_UNIX)
     option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimize library size and performance. Only available on Release Mode" 0)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
+    if(NOT CYGWIN)
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
+    endif()
     set(CMAKE_CXX_FLAGS_DEBUG "-g")
     if(ENABLE_GCC_OPTIMIZATION)
         set(CMAKE_BUILD_TYPE Release)
@@ -48,7 +50,7 @@
 
 set(apiextractor_MAJOR_VERSION 0)
 set(apiextractor_MINOR_VERSION 10)
-set(apiextractor_MICRO_VERSION 8)
+set(apiextractor_MICRO_VERSION 9)
 set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
 configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)
 set(apiextractor_SOVERSION ${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION})
@@ -160,6 +162,7 @@
 qtdocparser.h
 include.h
 typedatabase.h
+doxygenparser.h
 )
 
 if (BUILD_TESTS)
