=== debian/changelog ===
apiextractor (0.10.9-1) unstable; urgency=low

  * New upstream release (1.0.9).

 -- Didier Raboud <odyx@debian.org>  Tue, 06 Dec 2011 17:14:48 +0100
