## apiextractor 0.10.10

=== debian/changelog ===
apiextractor (0.10.10-1) unstable; urgency=low

  * New upstream release (1.1.0).

 -- Didier Raboud <odyx@debian.org>  Tue, 03 Jan 2012 17:33:15 +0100
