=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: apiextractor
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.0), cmake (>= 2.8.4+dfsg.1-3~),
+Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.3), cmake (>= 2.8.4+dfsg.1-3~),
                libqt4-dev (>= 4:4.7.0), libqt4-xmlpatterns (>= 4:4.7.0),
                libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19), pkg-config
-Build-Depends-Indep: python-sphinx
+Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~)
 Standards-Version: 3.9.2.0
 Vcs-Git: git://git.debian.org/collab-maint/apiextractor.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apiextractor.git
